profile
viewpoint

Ask questionstensorflow.python.framework.errors_impl.NotFoundError: Op type not registered 'GatherTree' in binary running

when i run gnmt with tf2.1, have this error . System information

  • OS Platform and Distribution (e.g., Linux Ubuntu 16.04):
  • TensorFlow version and how it was installed (source or binary): tf2.1
  • TensorFlow-Addons version and how it was installed (source or binary): 0.11
  • Python version: 3.7
  • Is GPU used? (yes/no): no

Describe the bug

Traceback (most recent call last):
  File "/home/shiguang/models/benchmarks/../models/language_translation/tensorflow/mlperf_gnmt/fp32/run_inference.py", line 90, in <module>
    importer.import_graph_def(graph_def, input_map={}, name="")
  File "/home/shiguang/.local/lib/python3.7/site-packages/tensorflow/python/util/deprecation.py", line 507, in new_func
    return func(*args, **kwargs)
  File "/home/shiguang/.local/lib/python3.7/site-packages/tensorflow/python/framework/importer.py", line 405, in import_graph_def
    producer_op_list=producer_op_list)
  File "/home/shiguang/.local/lib/python3.7/site-packages/tensorflow/python/framework/importer.py", line 497, in _import_graph_def_internal
    graph._c_graph, serialized, options)  # pylint: disable=protected-access
tensorflow.python.framework.errors_impl.NotFoundError: Op type not registered 'GatherTree' in binary running on    . Make sure the Op and Kernel are registered in the binary running in this process. Note that if you are loading a saved graph which used ops from tf.contrib, accessing (e.g.) `tf.contrib.resampler` should be done before importing the graph, as contrib ops are lazily registered when the module is first accessed.
Ran inference with batch size 32

A clear and concise description of what the bug is.

Code to reproduce the issue

Provide a reproducible test case that is the bare minimum necessary to generate the problem.

Other info / logs

Include any logs or source code that would be helpful to diagnose the problem. If including tracebacks, please include the full traceback. Large logs and files should be attached.

tensorflow/addons

Answer questions seanpmorgan

Hmmm TFA 0.11 hasn't yet been released are you sure you're correct about the versions. FWIW TFA 0.10 requires TensorFlow >= 2.2 which could be causing this error.

useful!

Related questions

error when importing tensorflow_addons hot 2
please add more activation functions hot 1
LookAhead + RAdam + mixed_fp16 = apply_gradients() got an unexpected keyword argument &#39;experimental_aggregate_gradients&#39; - addons hot 1
Segmentation fault with tfa.seq2seq.gather_tree hot 1
installation issues with tensorflow==2.0.0-beta1 hot 1
MovingAverage does not work with MirroredStrategy hot 1
Segmentation Fault hot 1
Migrate gelu to core hot 1
installation issues with tensorflow==2.0.0-beta1 hot 1
pip install tensorflow-addons fails on windows machine Python 3.6.4 hot 1
Missing symbol for Abseil ParseTime Op hot 1
installation issues with tensorflow==2.0.0-beta1 hot 1
WeightNormalization data init fails with Keras experimental_run_tf_function hot 1
Packaged Addons don't run on tf-nightly-2.0 hot 1
tfa.seq2seq.sequence_loss can't average over one dimension (batch or timesteps) while summing over the other one hot 1
Github User Rank List